    # this file can be used to customize various pop3filter settings
# note that it must be a valid python script !

# list of spam blacklists. You can add your own if you wish
BLACKLIST_DOMAINS = [
    'spews.relays.osirusoft.com',
    'bl.spamcop.net',
    'dns.rfc-ignorant.org',

    # the next three rules are "extreme" in that they quite probably will filter
    # a lot of legitimate email (such as mail from dial-up users). use at own risk.
    
    #'xbl.selwerd.cx',
    #'blackholes.five-ten-sg.com',
    #'no-more-funn.moensted.dk',
]

# list of IP addresses that will not be checked. 
BLACKLIST_IGNORE = [
    '127.0.*',
    '10.*',
    ('212.14.77.97','212.14.77.126'),
    ]

# All email addresses in this list will be ignored and not filtered. These are Python Regular Expressions
# These email addresses are also allowed to send HTML mail
IGNORE_THESE_SENDERS = [
    ]

# These are Python Regular Expressions
IGNORE_THESE_RECEIVERS = [
    ]

# These are Python Regular Expressions
IGNORE_THESE_SUBJECTS = [ ]

# this is a list of header keywords, with associated rule tables
IGNORE_RULES = {
    'subject' : IGNORE_THESE_SUBJECTS,
    'from' : IGNORE_THESE_SENDERS,
    'to' : IGNORE_THESE_RECEIVERS,
}

# you can add a list of IP filters here in Shicks! RE syntax.
IGNORE_THESE_ADDRESSES = [
    ]

FILTER_THESE_SENDERS = [
    "*.tw",
    "undisclosed recipients",
    ]

FILTER_THESE_RECEIVERS = [
    "undisclosed recipients",
    ]

FILTER_THESE_MESSAGE_IDS = [
    "*.tw",
    ]

FILTER_THESE_SUBJECTS = [
    ]

FILTER_THESE_ADDRESSES = [
    ]

# this is a list of header keywords, with associated rule tables
FILTER_RULES = {
    'subject' : FILTER_THESE_SUBJECTS,
    'from' : FILTER_THESE_SENDERS,
    'to' : FILTER_THESE_RECEIVERS,
    'message-id': FILTER_THESE_MESSAGE_IDS,
}

# these tokens, if found in the Subject: line, will indicate spam mail
FILTER_SUBJECT_TOKENS = ['lowest', 'rate', 'mortgages', 'registered', 'analyst', 'invest', 'extreme', 'information', 
'beautiful', 'pornstars', 'fucking', 'rape', 'paying', 'earn', 'loan', 'entrepreneur',
'mortgage?', 'multi-function','yours', 'free',  'obligation', 'age', 'reversal', 
'friend','coming','instant','mortgage','new', 'improved','fat', 'burners',"fat","tv",
'low', 'pay', 'now', 'beauty','rates',  'today', 'only', 'opportunities', 'hottest',
'financial', 'recruiting', 'make', 'big', 'info', 'up', 'email', 'cash', 'pussy',
'cartridges', 'life', 'hi','dollars', 'bills', 'sales', 'medical', 'viagra', 'membership',
'inkjet', 'love', 'mrs', 'immediately','home','money','debt','teeth','increase',
'freedom','mortage', 'guaranteed', 'performing', 'adults', 'deserve','yourself', 'business',
'weekly', 'real', 'program', 'travel', 'hot', 'order', 'approved', 'money','home','save','hard','promote',
'immediate', 'best', 'booming', 'entertainment', 'park', 'industry', 'free','new','adv','legal','credit',
'child',  'custody', 'xxx', 'great', 'hey', 'check', 'help', 'urgent', 'all', 'about', 'special', 'wanted',
'sex', 'please', 'gift', 'hair', 'investment', 'reach', 'don', 'gstring', 'hardcore', 'loss', 'people', 'own',
'into', 'stop','videos','must', 'cost', 'assistance', 'making', 'want', 'stock', 'clippings', 
'quote', 'newspaper', 'com', 'nicole', 'tank', 'mlm', 'site', 'opportunity','minutes', 
'look', 'positions', 'shirts', 'cell', 'market', 'asset', 'work', 'bmii', 'backyard', 'natural', 'miss', 'major', 
'too', 'have', 'offer', 'online', 'find', 'bad', 'she', 'cruise', 'web', 'news', 'maintenance', 'prices', 
'summer', 'traffic', 'background', 'e-mail', 'does', 'wholesale', 'pool', 'very', 'voir', 'anal', 'jump',
'video', 'degree', 'pics', 'win', 'blist', 'something', 'over', 'brain', 'late', 'consolidate', 'weight',
'unlock', 'insurance', 'giveaway', 'could', 'naughty', 'fight', 'girls','returns', 'translation',
'unknown',  'welcome', 'job', 'html', 'dvd', 'wanna', 'fwd', 'php', 'businesses', 'com/optout', 'banned', 'acquisition', 
'million', 'hetero', 'achieve','adds', 'residual', 'alone', 'action', 'beach', 'finanacial', 
'photos', 'madurita', 'hints', 'century', 'high', 'need', 'amazing', 'spears', 'purchase', 
'sick', 'nude', 'chico', 'absolutely', 'darling', 'paid', 'complete', 'full', 'hosting', 'website', 'sale', 
'natalie', 'websites','gold', 'show', 'leads', 'scoop', 'asian','erotik','melonen','virgins','arsch',
'vietnamese', 'unhappy', '$1', 'refinance', 'account', 'felicity', 'outlet', 'firms', 'school', 
'countries', 'fisting', 'porn', 'bargain', 'america', 'expert', 'irs', 'increased', 'crush', 
'investor-resource', 'international', 'publications',  'kids', 'talent', 'games', 'investors','jizz','adult',
'wealth', 'vacation', 'secret', 'overhead', 'dreams', 'penis', 'gorgeous','cum','sluts','young','financing','tax',
'animals', 'riddles', 'anxieties', 'fun', 'kournikova', 'scam', 'revolutionary','orgies','oral','butt',
'drug','nation', 'attract', 'technology', 'alert', 'single', 'promotes', 'ultimate', 'muscle', 'lowers', 
'executive', 'soon', 'valuable', 'top', 'sweeping', 'interesting', 'pill', 'workout', 'symposium', 'popular',
'domain','registration','confirm','confirmation','girl', 'notification', 'laid', 'teens', 'lions', 'little',
'law', '~beautiful', 'strictly', 'there', 'seat','loved','sms','baby','pc-verdienst',
'verabreden','happy','allein!','info','issue','nie','pounds']


